Rem
Rem * end failover from vstwlt006 to vstwlt003 *
Rem
Rem - if we run on vstwlt006
Rem - deploy archive job: ha_nas_nis_bridge_no to dxprodha
Rem - deploy archive job: ha_wasp_cabi_primary to dxcabi
Rem - deploy archive job: ha_wasp_oc_primary to dxump
Rem

Rem -- step 0 - ONLY execute this script if we END a failover (go to dxprod)
if /I not %computername%==vstwlt003 goto fin 
echo this is %computername% (ok to put OC/CABI to vstwlt003)

Rem -- step 1 - nimalarm
c:\Nimsoft\bin\nimalarm -l 2 "HA - Start configuring OC/CABI to point to primary hub VSTWLT003"

Rem -- step 2 - start oc update on vstwlt005
c:\Nimsoft\bin\pu.exe -u administrator -p xxx /vstwlt003_domain/vstwlt003_hub/vstwlt003/distsrv job_add "" "" "ha_wasp_oc_primary" "" "/vstwlt003_domain/vstwlt003_hub/vstwlt005" "" ""

Rem -- step 3 - start cabi update on dxcabi
c:\Nimsoft\bin\pu.exe -u administrator -p xxx /vstwlt003_domain/vstwlt003_hub/vstwlt003/distsrv job_add "" "" "ha_wasp_cabi_primary" "" "/vstwlt003_domain/vstwlt003_hub/vstwlt004" "" ""

Rem -- step 4 - set nis_bridge to no on dxprodha (on primary nas this is still yes)
c:\Nimsoft\bin\pu.exe -u administrator -p xxx /vstwlt003_domain/vstwlt006_hub/vstwlt006/distsrv job_add "" "" "ha_nas_nis_bridge_no" "" "/vstwlt003_domain/vstwlt006_hub/vstwlt006" "" ""

Rem -- step 5 - add here a restart of the nas on dxprodha
c:\Nimsoft\bin\pu -u administrator -p xxx /vstwlt003_domain/vstwlt006_hub/vstwlt006/controller probe_activate nas

Rem -- step 6 - wait some seconds to be sure that end alarm comes after start alarm
c:\tools\sleep 45

Rem -- step 7 -- nimalarm
c:\Nimsoft\bin\nimalarm -l 1 "HA - Ended configuring OC/CABI to point to primary hub VSTWLT003..restarting OC/CABI"

Rem -- label to be used if this script is started on other server(s)
:fin